Subject: RE: Compiling apps to Mingw32 with cygwin
From: "Jon Leichter" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Jan 2002 18:24:35 -0800

> -----Original Message-----
> From: Robert Collins [mailto:[email-masked]]
> Sent: Thursday, January 10, 2002 6:16 PM
> To: Jon Leichter
> Cc: [email-masked]
> Subject: Re: Compiling apps to Mingw32 with cygwin
>
>
> ----- Original Message -----
> From: "Jon Leichter" <[email-masked]>
>
>
> > Thus... returning to the ORIGINAL topic of this thread... I had
> recommended
> > the following to the OP:
> >
> > $ env CC=mgcc ./configure --host=i686-pc-mingw32
> >
> > My new understanding of switches gives me new perspective. 'build' and
> > 'target' will pickup the value of 'host'. In this context, you're
> telling
> > configure that the host == build == MinGW. I've said before that MinGW
> in
> > Cygwin is a loose cross-compile. So, it seems to me that this
> configuration
> > is ok, especially since 'host' binaries CAN successfully run in the
> 'build'
> > environment.
>
> Nope. because an autoconf script for mingw32 'build' may expect cp to be
> 'copy', sh to be cmd.exe and further stuff that will break or misbehave
> on cygwin.

Point taken.

>  $ env CC=mgcc ./configure --host=i686-pc-mingw32 --build=i686-pc-cygwin
> is acceptable.

Ok. A mixture of my solution and the explicit addition of the --build
switch. I think I can live with that.

> > We agreed that as of today that 'build', if not specified, gets the
> value of
> > 'host'. Even if this were to change, i.e. 'build' gets checked for
> > automatically, my solution STILL works. In this case, it would be a
> cross
> > compile, but it should still work.
>
> See above why it doesn't. mingw != cygwin :}.

If 'build' WERE to be tested automatically, independent to 'host', it would
come up with 'i686-pc-cygwin'. Thus, we'd effectively end up with the same
line you specified above. So that does work, right? Or are you trying to
confuse me again??? :)

> > This leads one to draw the following conclusions:
> >
> ...
> > This whole thread went off on a tangent suggesting that my solution
> was
> > wrong. So tell me. If my solution works more often than the "proper"
> one,
> > how is it wrong?
>
> Well.. I came in the thread late, so I get to say, 'huh, what, waddya
> mean?'.

Yea, yea, yea... everybody's got an excuse...

Jon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/